#delimit ;

clear;
set mem 128m;
set more off;
cap log close;


log using C:\Peace\results.log, replace;


* ******************************************************************	*;
*  POST CONFLICT;
* ******************************************************************	*;

use "C:\Peace\peace_pre_match.dta", clear;

summ UN lwdeaths lwdurat ethfrac pop lmtnest milper bwgdp bwplty2 eeurop lamerica asia ssafrica nafrme;
centile UN lwdeaths lwdurat ethfrac pop lmtnest milper bwgdp bwplty2 eeurop lamerica asia ssafrica nafrme;

/* Figure 1 */
graph twoway kdensity lwdeaths if UN == 0 || kdensity lwdeaths if UN == 1, legend(label(1 "UN = 0") label(2 "UN = 1"))
 xtitle("log cumulative battle deaths (last war)") ytitle("density") xlabel(0(5)10) scheme(s2mono);
graph save C:\Peace\figure_1.gph, replace;
translate @Graph C:\Peace\figure_1.ps, replace;


stcox UN lwdeaths lwdurat ethfrac pop lmtnest milper bwgdp bwplty2 eeurop asia ssafrica nafrme;



use "C:\Peace\peace_post_match.dta", clear;

rename _t0 t0;
rename _t t;
rename _d d;
stset t, failure(d);

stcox UN lwdeaths lwdurat ethfrac pop lmtnest milper bwgdp bwplty2 eeurop asia ssafrica nafrme;



* ******************************************************************	*;
*  IN WAR;
* ******************************************************************	*;

use "C:\Peace\war_pre_match.dta", clear;

mark miss;
markout miss UN inter deaths couprev sos drugs ethfrac pop lmtnest milper;
drop if miss == 0;

summ UN inter deaths couprev sos drugs ethfrac pop lmtnest milper eeurop lamerica asia ssafrica nafrme;
centile UN inter deaths couprev sos drugs ethfrac pop lmtnest milper eeurop lamerica asia ssafrica nafrme;


stcox UN inter deaths couprev sos drugs ethfrac pop lmtnest milper eeurop asia ssafrica nafrme;


use "C:\Peace\war_post_match.dta", clear;

drop _st;
rename _d d;
stset t, failure(d);
drop _t0;
rename t0 _t0;

stcox UN inter deaths couprev sos drugs ethfrac pop lmtnest milper eeurop asia ssafrica nafrme;


log c;
exit;
